Mail archive
alpine-aports

[alpine-aports] [PATCH 5/5] main/s6-linux-utils: moved from testing

From: Christian Kampka <christian_at_kampka.net>
Date: Sun, 27 Sep 2015 19:33:57 +0200

---
 main/s6-linux-utils/APKBUILD    | 49 +++++++++++++++++++++++++++++++++++++++++
 testing/s6-linux-utils/APKBUILD | 49 -----------------------------------------
 2 files changed, 49 insertions(+), 49 deletions(-)
 create mode 100644 main/s6-linux-utils/APKBUILD
 delete mode 100644 testing/s6-linux-utils/APKBUILD
diff --git a/main/s6-linux-utils/APKBUILD b/main/s6-linux-utils/APKBUILD
new file mode 100644
index 0000000..31de88a
--- /dev/null
+++ b/main/s6-linux-utils/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Christian Kampka <christian_at_kampka.net>
+# Maintainer: Christian Kampka <christian_at_kampka.net>
+pkgname=s6-linux-utils
+pkgver=2.0.2.2
+pkgrel=0
+pkgdesc="A set of tiny Linux-specific utilities optimized for simplicity and small size."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="d103b1770c914e801b5aaef4f3dbfecf  s6-linux-utils-2.0.2.2.tar.gz"
+sha256sums="ed666f14bcf6428bbb34c39281a08b698fb3d9458a77f4d47ccbf72c9ef68b13  s6-linux-utils-2.0.2.2.tar.gz"
+sha512sums="8188ab19e666fe4b9e501cdd4f28a59be634f5ff628043a3929744bff56aa13f40258180344c27f3b0af4c0c93106da34609ab556ed481685e919db707b01a69  s6-linux-utils-2.0.2.2.tar.gz"
diff --git a/testing/s6-linux-utils/APKBUILD b/testing/s6-linux-utils/APKBUILD
deleted file mode 100644
index 31de88a..0000000
--- a/testing/s6-linux-utils/APKBUILD
+++ /dev/null
_at_@ -1,49 +0,0 @@
-# Contributor: Christian Kampka <christian_at_kampka.net>
-# Maintainer: Christian Kampka <christian_at_kampka.net>
-pkgname=s6-linux-utils
-pkgver=2.0.2.2
-pkgrel=0
-pkgdesc="A set of tiny Linux-specific utilities optimized for simplicity and small size."
-url="http://skarnet.org/software/$pkgname/"
-arch="all"
-license="ISC"
-depends="skalibs"
-depends_dev="skalibs-dev"
-makedepends="$depends_dev linux-headers"
-install=""
-subpackages="$pkgname-dev"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--enable-shared \
-		--enable-static \
-		--disable-allstatic \
-		--prefix=/usr \
-		--libdir=/usr/lib \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="d103b1770c914e801b5aaef4f3dbfecf  s6-linux-utils-2.0.2.2.tar.gz"
-sha256sums="ed666f14bcf6428bbb34c39281a08b698fb3d9458a77f4d47ccbf72c9ef68b13  s6-linux-utils-2.0.2.2.tar.gz"
-sha512sums="8188ab19e666fe4b9e501cdd4f28a59be634f5ff628043a3929744bff56aa13f40258180344c27f3b0af4c0c93106da34609ab556ed481685e919db707b01a69  s6-linux-utils-2.0.2.2.tar.gz"
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Sep 27 2015 - 19:33:57 GMT